Qt 5.7 | Qt Data Visualization | C++ Classes | Q3DLight

Qt 5.7.1 Reference Documentation

# Q3DLight Class

Representation of a light source in 3D space. More...

Header: | #include <Q3DLight>
Since: | QtDataVisualization 1.0
Instantiated By: | Light3D
Inherits: | Q3DObject

- List of all members, including inherited members

## Public Functions

| Q3DLight(QObject *parent = Q_NULLPTR)
virtual | ~Q3DLight()

- 4 public functions inherited from Q3DObject

### Additional Inherited Members

- 2 properties inherited from Q3DObject
- 1 signal inherited from Q3DObject
- 2 protected functions inherited from Q3DObject

## Detailed Description

Representation of a light source in 3D space.

Q3DLight represents a monochrome non variable light source in 3D space.

## Member Function Documentation

### Q3DLight::Q3DLight(QObject *parent = Q_NULLPTR)

Constructs a new 3D light located at origin. An optional parent parameter can be given and is then passed to QObject constructor.

### `[virtual]` Q3DLight::~Q3DLight()

Destroys the light object.